geos::operation::grid::Traversal Class Reference

The Traversal class records the coordinates of a line that are within a grid cell, as well as the Side from which the line entered and exited the cell. More...

`#include <Traversal.h>`

## Public Member Functions

bool | isClosedRing () const
bool | isEmpty () const
bool | isEntered () const
bool | isExited () const
bool | isTraversed () const
bool | hasMultipleUniqueCoordinates () const
void | enter (const geom::CoordinateXY &c, Side s)
| Begin a Traversal on the specified Side.
void | exit (const geom::CoordinateXY &c, Side s)
| Complete a Traversal on the specified Side.
Side | getEntrySide () const
Side | getExitSide () const
const geom::CoordinateXY & | getLastCoordinate () const
const geom::CoordinateXY & | getExitCoordinate () const
void | add (const geom::CoordinateXY &c)
void | forceExit (Side s)
const std::vector< geom::CoordinateXY > & | getCoordinates () const

## Detailed Description

The Traversal class records the coordinates of a line that are within a grid cell, as well as the Side from which the line entered and exited the cell.

The documentation for this class was generated from the following file:

- Traversal.h